Loading...
Searching...
No Matches
Magick::embossImage Class Reference

## Public Member Functions

| embossImage (const double radius_, const double sigma_)
void | operator() (Image &image_) const

## Private Attributes

double | _radius
double | _sigma

## Detailed Description

Definition at line 401 of file STL.h.

## Constructor & Destructor Documentation

## embossImage() [1/2]

Magick::embossImage::embossImage | ( | void |  | ) |

Definition at line 355 of file STL.cpp.

: _radius( 1 ),
_sigma( 0.5 )
{
}

## embossImage() [2/2]

Magick::embossImage::embossImage | ( | const double | radius_,
|  | const double | sigma_ )

Definition at line 360 of file STL.cpp.

: _radius( radius_ ),
_sigma( sigma_ )
{
}

## Member Function Documentation

## operator()()

void Magick::embossImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 365 of file STL.cpp.

{
image_.emboss( _radius, _sigma );
}

## Field Documentation

## _radius

double Magick::embossImage::_radius

private

Definition at line 410 of file STL.h.

## _sigma

double Magick::embossImage::_sigma

private

Definition at line 411 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp